<div class="collection-container">
    <div class="title-container">

    </div>
    <div class="grid-container">
        <dx-data-grid id="dataGric"
            [dataSource]="collection"
            [allowColumnReordering]="true"
            (onSelectionChanged)="selectSets($event)">
            <dxo-search-panel [visible]="true"></dxo-search-panel>
            <dxo-toolbar>
                <dxi-item text="Data Grid" [disabled]="true" location="before"></dxi-item>
                <dxi-item name="searchPanel"></dxi-item>
                <dxi-item name="addRowButton" showText="always"></dxi-item>
            </dxo-toolbar>

            <dxi-column dataField="name">

            </dxi-column>
            <dxi-column dataField="collection">

            </dxi-column>
            <dxi-column dataField="price" width="100">

            </dxi-column>
            <dxi-column dataField="releaseDate">

            </dxi-column>
            <dxo-editing
                mode="popup"
                [allowUpdating]="true"
                [allowDeleting]="true"
                [allowAdding]="true">
            </dxo-editing>
            <dxo-selection mode="multiple"></dxo-selection>
        </dx-data-grid>
    </div>
</div>